function new_classification=additional_conditions_classifier(current_classification,HR,data_for_log,additional_classifier,netAO,general_log_counter)
new_classification=current_classification;
if (HR<52.3) && strcmp(current_classification,'N')  %% Bradycardia % <54
    new_classification=79;
end

if (HR>101.5) && strcmp(current_classification,'N')  %% Tachycardia  %>102
    new_classification=79;
end

if (HR>199)   %% Tachycardia  %>175
    new_classification=79;
end
if (data_for_log(64)>1.7) && strcmp(current_classification,'N')  %% Tachycardia  %>1.7
    new_classification=79;
end
if (data_for_log(55)>1.5) && strcmp(current_classification,'N')  %% Largest beat gap
    new_classification=79;
end
if (data_for_log(55)<0.65) && strcmp(current_classification,'N')  %% Largest beat gap
    new_classification=79;
end 

if (data_for_log(99)>0.99)   %% Tachycardia  %>0.98
    new_classification=79;
end

if (data_for_log(66)<9)   %% Not enough beats to classify
    new_classification=126;
end

if (data_for_log(104)<(0.74)) && strcmp(current_classification,'N')  %% Low correlation with normal signals
    new_classification=79;
end

if (data_for_log(66)<11) &&  (data_for_log(67)>0.035)  %% Short noisy records
    new_classification=126;
end
% 
